Vendor Risk Levels

Vendor Risk Levels are the vendor risk-score labels (e.g. Critical, High) used to classify the inherent and residual risk of your Vendors.

List Vendor Risk Levels

List all vendor risk levels configured for your account. The list is ordered by the inherited v2 default (by id, newest first), not by position. Clients that need severity order should sort the returned page by position.

🔒 Requires Vendors: List Vendor Risk Levels permission.

💎 Requires your account have the TPRM Standard, Third Party Risk Management Pro, TPRM Pro Max feature. Contact your Account Manager for help upgrading.

Securitybearer or oauth2
Request
query Parameters
cursor
string

This parameter is used to paginate through results. No value is needed for the first request. If there are additional results, the response will contain a pagination.cursor value that can be used in the subsequent request to retrieve the next page of results

size
number [ 1 .. 500 ]
Default: 50

Number of results to return

sort
string (SortTypeLimitedEnum)

Which field to sort by

Enum: "createdAt" "updatedAt"
sortDir
string (SortDirectionEnum)

The direction to sort the data

Enum: "ASC" "DESC"
includeTotalCount
boolean

Include total count of all matching records in response. Only honored on first page (when cursor is null).

Example: includeTotalCount=false
Responses
200
400

Malformed data and/or validation errors

401

Invalid Authorization

402

You must upgrade your plan to use this feature

403

You are not allowed to perform this action

412

You must accept the Drata terms and conditions to use the API

500

Internal server error

get/vendor-risk-levels
Request samples
Response samples
application/json
{
  • "data": [
    • {
      • "id": 12,
      • "name": "Critical",
      • "position": 1,
      • "isSystem": false
      }
    ],
  • "pagination": {
    • "cursor": "string",
    • "totalCount": 0
    }
}